﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace WPfIgGantImportExport.Converters
{
    [ValueConversion(typeof(TimeSpan), typeof(String))]
    public class HoursMinutesTimeSpanConverter : IValueConverter
    {
        #region Convert
        public object Convert(object value, Type targetType, object parameter,
                      CultureInfo culture)
        {
            return ((TimeSpan)value).ToString(@"d\.hh\:mm");
        }
        #endregion Convert

        #region ConvertBack
        public object ConvertBack(object value, Type targetType, object parameter,
                          System.Globalization.CultureInfo culture)
        {

            return TimeSpan.ParseExact(value.ToString(), @"d\.hh\:mm", CultureInfo.CurrentCulture);
        }
        #endregion ConvertBack
    }
}
